Bug 57477 - FILESAVE as .xls with wrong info concerning collapsed grouped columns
Summary: FILESAVE as .xls with wrong info concerning collapsed grouped columns
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS Group&Outline
  Show dependency treegraph
 
Reported: 2012-11-24 07:36 UTC by Rainer Bielefeld Retired
Modified: 2018-05-23 21:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (67.50 KB, application/x-ole-storage)
2012-11-24 07:36 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-11-24 07:36:39 UTC
Created attachment 70503 [details]
Sample Document

I found this problem doing some research for "Bug 51524 - [Fileopen] [XLS] cell-width of invisible cells are not remembered "

Attached sample document has been created by opening Attachment 63569 [details] of a.m. Bug, and saving after having expanded / collapsed columns A...C 1 time. It's an Excel8 document.

Steps how to reporoduce with "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6) tag libreoffice-3.3.0.4]":
0. download sample document
1. Open document from LibO Start center
   > You see a small '+' button above column heading D
2. Expand / collapse Columns A...C by clikcing the small + / - button above
   column heading 
3. Click Cell N+, type a blank and <Return>
4. Save as "document2010LibO333.xls" (MSO97)
5. close document 
6. Reopen
   Expected: again the little '+' as in step 1
   Bug: You see a '-'

Clicking the '-' will do nothing except changing it to '+', from then on it will work normal. But proceeding as per step 2 and following again will again change the '+' visible when you save the file to a '-' when you reopen that document

EXCEL 2010 does not show the wrong '-' when I open "document2010LibO333.xls", seems to be more tolerant, more clever or whatever

Same problem sith OOo 3.1.1, so Problem is inherited from OOo

Still [Reproducible] with parallel installation of Master "LOdev  4.0.0.0.alpha1   -  ENGLISH UI / German Locale  [Build ID: dec8fe)]"  {tinderbox: @6, pull time 2012-11-13 06:07:28} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch

@Spreadsheet Team:
I hope you agree with my decision to forward this one to you although still some aspects of the problem are unclear, I doubt that "normal user skills" can bring up more useful info.
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 1 Rainer Bielefeld Retired 2012-11-24 07:41:50 UTC
Sorry, in step 3 I wanted to type "N6", not "N+"
Comment 2 A (Andy) 2012-11-24 08:27:17 UTC
reproducible with LO 3.6.3.2. (Win7 Home, 64bit) and checked with Excel 2007

but the step 3 is actually not necessary to reproduce; if you skip step 3 you will get the same odd behaviour of LO
Comment 3 QA Administrators 2015-01-05 17:51:14 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-20 16:21:11 UTC
Still reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:34:55 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:05:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306